local MAJOR = "LibScriptableDisplayPluginRangeCheck-1.0" 
local MINOR = 14

local PluginRangeFinder = LibStub:NewLibrary(MAJOR, MINOR)
if not PluginRangeFinder then return end
local RangeCheck = LibStub("LibRangeCheck-2.0", true)

if not PluginRangeFinder.__index then
	PluginRangeFinder.__index = PluginRangeFinder
end

-- @name PluginRangeFinder:New
-- @usage RangeFinder:New(visitor, environment, name, config) -- 
-- @parma environment This will be the environment when loadstring is callled.
-- @return A new PluginRangeFinder object
function PluginRangeFinder:New(environment)
	
	local obj = {}

	setmetatable(obj, self)
	
	environment.RangeCheck = RangeCheck
	
	return obj	
	
end
